Skip to main content
GET
/
api
/
docs
/
folder
/
{folderId}
/
list
Lists all active documents within a specific folder, filtered by user permissions.
curl --request GET \
  --url https://{tenant}.ekso.app/api/docs/folder/{folderId}/list \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "folderId": "<string>",
    "name": "<string>",
    "context": [
      {
        "owner": 123,
        "ownerId": "<string>"
      }
    ],
    "restrictedTo": [
      "<string>"
    ],
    "aiAccess": true,
    "archived": true,
    "author": "<string>",
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

folderId
string
required

The unique identifier of the folder whose documents to list.

Response

List of documents in the folder.

entity
null | string
folderId
string
name
string
context
object[]
restrictedTo
string[]
aiAccess
boolean
archived
boolean
author
string
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean